package com.huimv.env.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.admin.common.utils.Result;
import com.huimv.env.admin.entity.Farm;


import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
public interface IFarmService extends IService<Farm> {

    Result getFarm(Integer userId);

    Result add(Farm farm);

    Result getFarm2(Integer userId);

    Result listPage(Integer userId, Map paramMap);
}
